import * as React from 'react';
import { ReactWidget } from '@jupyterlab/apputils';
import { nullTranslator } from '@jupyterlab/translation';
const ContentHeaderToolbar = (props) => {
    const { trans, handlers } = props;
    return (React.createElement("div", null,
        trans.__('Do you wish to '),
        React.createElement("span", { onClick: handlers.onAcceptChanges }, trans.__('Accept')),
        " or",
        ' ',
        React.createElement("span", { onClick: handlers.onDeclineChanges }, trans.__('Decline')),
        trans.__(' these changes?')));
};
export class ContentHeaderWidget extends ReactWidget {
    constructor(handlers, translator) {
        super();
        this._trans = (translator || nullTranslator).load('jupyterlab');
        this._handlers = handlers;
        this.addClass('mutable-ai-content-header');
    }
    render() {
        return (React.createElement(ContentHeaderToolbar, { trans: this._trans, handlers: this._handlers }));
    }
}
